# Configurações Gerais
site_name: Esquema de Dados - Admin | Documentação
site_author: Astecas
copyright: Copyright © 2019 - 2020 Astecas

# Repositório GitLab
repo_url: https://gitlab.com/documentacao-astecas/esquemas-dados/esquema-admin
repo_name: esquemas/admin
edit_uri: ""

# Navegação
nav:
  - Tabelas:
      - Modulos: index.md
      - Oauth_Access_Tokens: oauth-access-tokens.md
      - Oauth_Auth_Codes: oauth-auth-codes.md
      - Oauth_Clients: oauth-clients.md
      - Oauth_Personal_Access_Clients: oauth-persoanl-acc-cli.md
      - Oauth_Refresh_Tokens: oauth-refresh-tokens.md
      - Password_Resets: password-resets.md
      - Perfis: perfis.md
      - Perfis_Permissoes: perfis-permissoes.md
      - Permissoes: permissoes.md
      - Users: users.md
      - Users_Perfil: users-perfil.md

# Configurações do Tema
theme:
    name: 'material'
    logo: assets\logo.png
    favicon: assets\logo-color.png
    features:
      - navigation.tabs
    language: pt
    palette:
        scheme: astecas
    icon:
        repo: fontawesome/brands/gitlab

# Extensões
markdown_extensions:
  - toc:
        permalink: true
  - admonition
  - pymdownx.details
  - pymdownx.tabbed
  - pymdownx.inlinehilite
  - pymdownx.highlight:
        linenums: true
        guess_lang: true
        extend_pygments_lang:
          - name: php
            lang: php
            options:
                startinline: true
  - pymdownx.superfences
  - abbr
  - pymdownx.snippets
  - def_list
  - attr_list
  - pymdownx.caret
  - pymdownx.mark
  - pymdownx.tilde

# Plugins
plugins:
  - search:
        lang:
          - pt
  - git-revision-date-localized

#Extras
extra_css:
  - css\version-select.css
  - css\extra.css

extra_javascript:
  - js\version-select.js
  - js\extra.js
